Page MenuHomePhabricator

Clean up wikidiff2 config variable handling
Closed, ResolvedPublic8 Story Points

Description

Motivation
Right now, not all of our config variables around show changes in moved paragraphs are handled the same way. Their behavior should be unified, though

Task
Unify the treatment of the config variables we introduced to all be set via ini_set (see the config section in https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/php/wikidiff2/+/refs/heads/master/README). The only current outlier is $wgWikiDiff2MovedParagraphDetectionCutoff.

  • Prepare core to use the new method signature
  • Update operations/mediawiki-config to use ini_set in addition to the PHP variable.
  • Update the wikidiff2 code to get rid of the PHP variable.
  • Release and tag wikidiff2 version 1.8.0 with change signature.
  • Deploy wikidiff2 version 1.8.0 with changed signature
  • Remove the not needed PHP variable from operations/mediawiki-config.
  • Remove the not needed PHP code from core. Remember to add it to the release notes to make backwards compatibility clear

Details

Related Gerrit Patches:

Event Timeline

Lea_WMDE triaged this task as Normal priority.May 9 2018, 2:00 PM
Lea_WMDE created this task.
Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 9 2018, 2:00 PM
Vvjjkkii renamed this task from Clean up config variable handling to vadaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
NicoScribe updated the task description. (Show Details)Jul 1 2018, 12:21 PM
NicoScribe added subscribers: Aklapper, gerritbot.
NicoScribe renamed this task from vadaaaaaaa to Clean up config variable handling.Jul 1 2018, 12:24 PM
NicoScribe lowered the priority of this task from High to Normal.
thiemowmde updated the task description. (Show Details)Aug 21 2018, 12:54 PM
thiemowmde updated the task description. (Show Details)Aug 21 2018, 12:56 PM
WMDE-Fisch updated the task description. (Show Details)Aug 21 2018, 12:58 PM
Lea_WMDE updated the task description. (Show Details)Aug 21 2018, 1:05 PM
Lea_WMDE set the point value for this task to 8.

Change 454555 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/php/wikidiff2@master] Merge detection cutoff configuration

https://gerrit.wikimedia.org/r/454555

Change 454556 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/core@master] Prepare DiffRenderer to changed parameters for wikidiff2 1.8.0

https://gerrit.wikimedia.org/r/454556

Update operations/mediawiki-config to use ini_set in addition to the PHP variable.

Does not need to be done, since the ini settings have defaults in place and the wikidiff2 lib uses the moved paragraph detection out of the box

WMDE-Fisch updated the task description. (Show Details)Aug 22 2018, 2:40 PM

Change 454555 merged by jenkins-bot:
[mediawiki/php/wikidiff2@master] Merge detection cutoff configuration

https://gerrit.wikimedia.org/r/454555

Change 454556 merged by WMDE-Fisch:
[mediawiki/core@master] Prepare DiffRenderer to changed parameters for wikidiff2 1.8.0

https://gerrit.wikimedia.org/r/454556

WMDE-Fisch updated the task description. (Show Details)Aug 27 2018, 8:57 AM
WMDE-Fisch removed WMDE-Fisch as the assignee of this task.Nov 27 2018, 2:45 PM
WMDE-Fisch removed a project: Patch-For-Review.
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-01-10 board.
WMDE-Fisch updated the task description. (Show Details)Jan 11 2019, 2:09 PM

Change 501624 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/core@master] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501624

Change 501625 had a related patch set uploaded (by Krinkle; owner: WMDE-Fisch):
[mediawiki/core@wmf/1.33.0-wmf.24] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501625

Change 501626 had a related patch set uploaded (by Krinkle; owner: WMDE-Fisch):
[mediawiki/core@wmf/1.33.0-wmf.23] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501626

Change 501624 merged by jenkins-bot:
[mediawiki/core@master] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501624

Change 501625 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.24] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501625

Change 501626 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.23] Remove warning for unnused 4th argument on wikidiff2

https://gerrit.wikimedia.org/r/501626

Change 511667 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Remove deprecated wikidiff2 config

https://gerrit.wikimedia.org/r/511667

Change 511668 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Remove deprecated wikidiff2 $wmg variable

https://gerrit.wikimedia.org/r/511668

awight added a subscriber: awight.May 21 2019, 11:28 PM

The mediawiki-core usages make it look like we're going to invalidate a lot of cached diffs with this... https://codesearch.wmflabs.org/search/?q=WikiDiff2MovedParagraphDetectionCutoff&i=nope&files=&repos=

We've decided to go ahead with deployment anyway.

Change 511667 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove deprecated wikidiff2 config

https://gerrit.wikimedia.org/r/511667

Change 511668 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove deprecated wikidiff2 $wmg variable

https://gerrit.wikimedia.org/r/511668

awight updated the task description. (Show Details)May 21 2019, 11:52 PM
Alsee removed a subscriber: Alsee.May 22 2019, 2:43 AM

Minor observation: we should schedule a hard end-of-life for supporting older wikidiff2 versions, to allow us to remove special-case code.

Change 511884 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/core@master] Deprecate $wgWikiDiff2MovedParagraphDetectionCutoff

https://gerrit.wikimedia.org/r/511884

Change 511884 merged by jenkins-bot:
[mediawiki/core@master] Deprecate $wgWikiDiff2MovedParagraphDetectionCutoff

https://gerrit.wikimedia.org/r/511884

Change 541821 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/core@master] Remove deprecated wikidiff2 configuration

https://gerrit.wikimedia.org/r/541821

Change 541821 merged by jenkins-bot:
[mediawiki/core@master] Remove deprecated wikidiff2 configuration

https://gerrit.wikimedia.org/r/541821

awight renamed this task from Clean up config variable handling to Clean up wikidiff2 config variable handling.Tue, Oct 22, 2:27 PM
awight closed this task as Resolved.
awight updated the task description. (Show Details)